Bug 345341 - [RHEL 5.2] Xen 3.1.1: Move nvram from /usr to /var
[RHEL 5.2] Xen 3.1.1: Move nvram from /usr to /var
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 11:10 EDT by Cole Robinson
Modified: 2009-12-14 16:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 09:15:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2007-10-22 11:10:07 EDT
Cset 15383 from xen-3.1-testing.hg moves nvram files from /usr/lib/xen/boot/ to
/var/lib/xen/nvram/ to accomodate for a read-only /usr. This change is
recommended for inclusion in RHEL 5.2.
Comment 1 Daniel Berrange 2007-10-22 11:17:04 EDT
If we move the NVRAM files, then when any existing user upgrades from 5.1 to 5.2
they loose their persistent VM state. While I agree it makes sense for FHS
compliance, moving files around in this way is not the sort of change we can
slip into an update. IMHO, this is dev-NACK.

Comment 3 Cole Robinson 2008-04-17 09:15:20 EDT
Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.